# Points Club - Deployment Instructions

## Overview
This document provides instructions for deploying the Points Club website to your WHM/cPanel server.

## Requirements
- WHM/cPanel server access
- MySQL database
- PHP 7.4 or higher
- MySQLi and PDO extensions enabled

## Deployment Steps

### 1. Download the Package
Download the `points_club.zip` file which contains all the necessary files for the Points Club website.

### 2. Upload to Your Server
1. Log in to your cPanel account
2. Navigate to the File Manager
3. Go to the public_html directory (or a subdirectory where you want to install Points Club)
4. Click on "Upload" and select the `points_club.zip` file
5. Once uploaded, right-click on the file and select "Extract"
6. Extract the contents to the desired directory

### 3. Run the Installer
1. Open your web browser and navigate to the installer:
   ```
   https://yourdomain.com/points_club/installer/
   ```
   (Replace "yourdomain.com" with your actual domain and adjust the path if you installed in a subdirectory)

2. Follow the installer steps:
   - System Requirements Check
   - Database Setup (use "pointy_db" as the database name)
   - Site Configuration
   - Admin Account Creation
   - Installation

3. The installer will:
   - Create the database if it doesn't exist
   - Import the database schema with all required tables
   - Create the admin user account
   - Generate the configuration file
   - Set up the .htaccess file for clean URLs

### 4. Post-Installation
1. After successful installation, you'll be provided with links to:
   - Your Points Club website
   - Admin login page

2. For security reasons, it's recommended to:
   - Delete the installer directory after successful installation
   - Change the default admin password if you used a temporary one

### 5. Troubleshooting
If you encounter any issues during installation:

1. **Database Connection Issues**:
   - Verify your database credentials
   - Ensure the database user has sufficient privileges
   - Confirm that the database name is "pointy_db"

2. **Permission Issues**:
   - Ensure the web server has write permissions to the following directories:
     - /points_club/src/config/
     - /points_club/ (root directory, for .htaccess file)

3. **Missing Tables**:
   - If you see errors about missing tables with "pc_" prefix, ensure the installer completed successfully
   - Check that the database schema was imported correctly

## Support
If you need assistance with the installation or have any questions, please contact support at support@mypointsclub.com.

## License
Points Club is licensed for your use only and may not be redistributed without permission.
