<?php
// Database configuration class
class Database {
    private $host;
    private $db_name;
    private $username;
    private $password;
    private $conn;
    private $table_prefix;

    public function __construct($host, $db_name, $username, $password, $table_prefix = 'pc_') {
        $this->host = $host;
        $this->db_name = $db_name;
        $this->username = $username;
        $this->password = $password;
        $this->table_prefix = $table_prefix;
    }

    // Connect to the database
    public function connect() {
        $this->conn = null;

        try {
            $this->conn = new PDO(
                "mysql:host=" . $this->host . ";dbname=" . $this->db_name,
                $this->username,
                $this->password
            );
            $this->conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
            $this->conn->setAttribute(PDO::ATTR_DEFAULT_FETCH_MODE, PDO::FETCH_ASSOC);
            $this->conn->exec("set names utf8mb4");
        } catch(PDOException $e) {
            echo "Connection Error: " . $e->getMessage();
        }

        return $this->conn;
    }

    // Get table name with prefix
    public function table($table) {
        return $this->table_prefix . $table;
    }
}
