<?php
// Points Club - Main index file
// This file serves as the entry point for the application

// Include required files
require_once 'config/config.php';
require_once 'config/database.php';
require_once 'models/user.php';
require_once 'models/session.php';
require_once 'utils/utils.php';

// Initialize database connection
$database = new Database(DB_HOST, DB_NAME, DB_USER, DB_PASS, DB_PREFIX);
$user = new User($database);
$session = new Session($database);

// Check if user is logged in
if ($session->isLoggedIn()) {
    // Redirect to dashboard
    Utils::redirect('dashboard.php');
} else {
    // Redirect to login page
    Utils::redirect('login.php');
}
