<?php
// Include required files
require_once 'config/config.php';
require_once 'config/database.php';
require_once 'models/user.php';
require_once 'models/session.php';
require_once 'utils/utils.php';

// Initialize database connection
$database = new Database(DB_HOST, DB_NAME, DB_USER, DB_PASS, DB_PREFIX);
$user = new User($database);
$session = new Session($database);

// Process logout
if ($session->isLoggedIn()) {
    $session->destroy();
    Utils::setFlashMessage('success', 'You have been logged out successfully.');
}

// Redirect to login page
Utils::redirect('login.php');
