# Points Club - Requirements and Specifications

## Overview
Points Club is a pyramid-style game where users purchase points that represent positions in a pyramid structure. When a pyramid fills up, the owner of the top position (Zero position) receives rewards in the form of points from the bottom row.

## System Requirements

### Hosting Environment
- WHM/cPanel server
- PHP (plain PHP, no frameworks)
- MySQL database (named 'pointy_db')
- Table prefix: 'pc_'

### User Authentication
- Registration with nickname for anonymity
- Email storage for account recovery
- Secure password management
- User profile management

### Pyramid Game Mechanics
1. **Pyramid Structure**:
   - Top position: "Zero" position (neither odd nor even)
   - Second row: First odd and even positions (2 positions)
   - Third row: 4 positions
   - Fourth row: 8 positions
   - Future expansion: Potentially more rows (16 positions, etc.)

2. **Point System**:
   - Initial cost: $1 per point
   - Points represent positions in the pyramid
   - When pyramid fills, Zero position owner receives points from bottom row
   - Points can be played again or cashed out
   - Future: Variable pricing for different game positions

3. **Game Flow**:
   - User purchases points
   - User is assigned a position in an active pyramid
   - When pyramid fills, rewards are distributed
   - User can use new points to play again or cash out

### Payment Processing
- Initial implementation: Mock payment system
- Future integration: PayPal

### User Interface
- Responsive design
- Gamified elements to increase engagement
- Dashboard for user statistics
- Pyramid visualization
- Transaction history

## Installation Requirements
- Automated installer similar to popular web applications
- Upload files to server
- Navigate to website URL (mypointsclub.com)
- Installer script guides through setup
- Automatic database configuration
- Use specific database name: 'pointy_db'
- Consistent table prefix: 'pc_'
- Clear database before adding new tables to prevent errors
